Bug 976207 - SELinux is preventing /usr/libexec/at-spi-bus-launcher from 'name_connect' accesses on the tcp_socket .
SELinux is preventing /usr/libexec/at-spi-bus-launcher from 'name_connect' ac...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:c9a29b2ce8febb59b276c4394bb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 02:40 EDT by Artur Szymczak
Modified: 2013-07-03 20:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-57.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-03 20:55:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Artur Szymczak 2013-06-20 02:40:42 EDT
Description of problem:
After closing sanbox runed by:
# sandbox -X -t sandbox_web_t firefox
this AVC occurs.
SELinux is preventing /usr/libexec/at-spi-bus-launcher from 'name_connect' accesses on the tcp_socket .

*****  Plugin catchall (100. confidence) suggests  ***************************

If aby at-spi-bus-launcher powinno mieć domyślnie name_connect dostęp do  tcp_socket.
Then proszę to zgłosić jako błąd.
Można utworzyć lokalny moduł polityki, aby umożliwić ten dostęp.
Do
można tymczasowo zezwolić na ten dostęp wykonując polecenia:
# grep at-spi-bus-laun /var/log/audit/audit.log | audit2allow -M mojapolityka
# semodule -i mojapolityka.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:sandbox_web_client_t:s0:
                              c557,c562
Target Context                system_u:object_r:xserver_port_t:s0
Target Objects                 [ tcp_socket ]
Source                        at-spi-bus-laun
Source Path                   /usr/libexec/at-spi-bus-launcher
Port                          6001
Host                          (removed)
Source RPM Packages           at-spi2-core-2.8.0-1.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-52.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.6-301.fc19.x86_64 #1 SMP Mon
                              Jun 17 14:26:26 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-06-20 10:40:30 CEST
Last Seen                     2013-06-20 10:40:30 CEST
Local ID                      00a61900-2bb3-4d07-b6a8-020e718e40b9

Raw Audit Messages
type=AVC msg=audit(1371717630.46:446): avc:  denied  { name_connect } for  pid=2808 comm="at-spi-bus-laun" dest=6001 scontext=unconfined_u:unconfined_r:sandbox_web_client_t:s0:c557,c562 tcontext=system_u:object_r:xserver_port_t:s0 tclass=tcp_socket


type=SYSCALL msg=audit(1371717630.46:446): arch=x86_64 syscall=connect success=no exit=EACCES a0=9 a1=256f430 a2=10 a3=7fff0a5ec5d4 items=0 ppid=1 pid=2808 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=1 tty=(none) comm=at-spi-bus-laun exe=/usr/libexec/at-spi-bus-launcher subj=unconfined_u:unconfined_r:sandbox_web_client_t:s0:c557,c562 key=(null)

Hash: at-spi-bus-laun,sandbox_web_client_t,xserver_port_t,tcp_socket,name_connect

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.6-301.fc19.x86_64
type:           libreport

Potential duplicate: bug 805904
Comment 1 Daniel Walsh 2013-06-20 14:39:49 EDT
Added dontaudit to git with e852588c5ffc60f8df272232ed4adc32b8d9ff37
Comment 2 Fedora Update System 2013-06-26 16:19:03 EDT
selinux-policy-3.12.1-57.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-57.fc19
Comment 3 Fedora Update System 2013-06-27 11:49:27 EDT
Package selinux-policy-3.12.1-57.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-57.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11846/selinux-policy-3.12.1-57.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-03 20:55:41 EDT
selinux-policy-3.12.1-57.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.